package com.ruoyi.kaohe.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 投票记录对象 kh_vote_recard
 *
 * @author hs
 * @date 2025-07-04
 */
public class KhVoteRecard extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 评测id */
    @Excel(name = "评测id")
    private Long pcId;

    /** 考核项id */
    @Excel(name = "考核项id")
    private Long khitemId;

    /** 投票活动id */
    @Excel(name = "投票活动id")
    private Long voteId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 用户名 */
    @Excel(name = "用户名")
    private String userName;

    /** 投票人uid */
    @Excel(name = "投票人uid")
    private String uid;

    /** 投票人 */
    @Excel(name = "投票人")
    private String tprName;

    /** 评分详情 */
    @Excel(name = "评分详情")
    private String voteDetails;

    /** 投票时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "投票时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date voteTime;

    /** IP */
    @Excel(name = "IP")
    private String ipAddress;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setPcId(Long pcId)
    {
        this.pcId = pcId;
    }

    public Long getPcId()
    {
        return pcId;
    }

    public void setKhitemId(Long khitemId)
    {
        this.khitemId = khitemId;
    }

    public Long getKhitemId()
    {
        return khitemId;
    }

    public void setVoteId(Long voteId)
    {
        this.voteId = voteId;
    }

    public Long getVoteId()
    {
        return voteId;
    }

    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public void setTprName(String tprName)
    {
        this.tprName = tprName;
    }

    public String getTprName()
    {
        return tprName;
    }

    public void setVoteDetails(String voteDetails)
    {
        this.voteDetails = voteDetails;
    }

    public String getVoteDetails()
    {
        return voteDetails;
    }

    public void setVoteTime(Date voteTime)
    {
        this.voteTime = voteTime;
    }

    public Date getVoteTime()
    {
        return voteTime;
    }

    public void setIpAddress(String ipAddress)
    {
        this.ipAddress = ipAddress;
    }

    public String getIpAddress()
    {
        return ipAddress;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("pcId", getPcId())
                .append("khitemId", getKhitemId())
                .append("voteId", getVoteId())
                .append("userId", getUserId())
                .append("userName", getUserName())
                .append("uid", getUid())
                .append("tprName", getTprName())
                .append("voteDetails", getVoteDetails())
                .append("voteTime", getVoteTime())
                .append("ipAddress", getIpAddress())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
